
/* 
 * Copyright (c) 2003 LAAS/CNRS
 * Sara Fleury
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef MPC_DEMTREATMENT_PRINTXML_H
#define MPC_DEMTREATMENT_PRINTXML_H

#include "genom/printScan.h"
#include "genom/printXMLProto.h"

/* Structures definies par d'autres modules */

#include "server/dtmPrintXML.h"

#include "server/pomPrintXML.h"

#include "server/genPosPrintXML.h"


#include "MPC_DEMTreatmentPosterLib.h"

/* Prototypes */
extern void printXML_struct_MPC_DEMTREATMENT_DISTOBSMAP_POSTER_STR ( FILE *out, char *name,
     struct MPC_DEMTREATMENT_DISTOBSMAP_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_MPC_DEMTTT_STR ( FILE *out, char *name,
     struct MPC_DEMTTT_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_SAVE_DEM_I ( FILE *out, char *name,
     struct SAVE_DEM_I *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_MERGE_DEMLOG_I ( FILE *out, char *name,
     struct MERGE_DEMLOG_I *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_BUILD_DISTMAP_I ( FILE *out, char *name,
     struct BUILD_DISTMAP_I *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_DT_INIT_I ( FILE *out, char *name,
     struct DT_INIT_I *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_DIST_OBS_MAP ( FILE *out, char *name,
     struct DIST_OBS_MAP *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_POS_CELL_XY ( FILE *out, char *name,
     struct POS_CELL_XY *x,
     int indent, int nDim, int *dims, FILE *in );

/* ======================== PRINT DES TYPEDEF ============================= */

extern void printXML_POS_CELL_XY ( FILE *out, char *name,
     POS_CELL_XY *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_DIST_OBS_MAP ( FILE *out, char *name,
     DIST_OBS_MAP *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_DT_INIT_I ( FILE *out, char *name,
     DT_INIT_I *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_BUILD_DISTMAP_I ( FILE *out, char *name,
     BUILD_DISTMAP_I *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_MERGE_DEMLOG_I ( FILE *out, char *name,
     MERGE_DEMLOG_I *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SAVE_DEM_I ( FILE *out, char *name,
     SAVE_DEM_I *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_MPC_DEMTTT_STR ( FILE *out, char *name,
     MPC_DEMTTT_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_MPC_DEMTREATMENT_DISTOBSMAP_POSTER_STR ( FILE *out, char *name,
     MPC_DEMTREATMENT_DISTOBSMAP_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );

#endif /* MPC_DEMTREATMENT_PRINT_XML_H */

