
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef MPC_DEMTREATMENT_SCAN_H
#define MPC_DEMTREATMENT_SCAN_H


/* Structures definies par d'autres modules */

#include "server/tclservClient/dtmTclservClientDecode.h"

#include "server/tclservClient/pomTclservClientDecode.h"

#include "server/tclservClient/genPosTclservClientDecode.h"


/* Structures du module */
#include "server/MPC_DEMTreatmentPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
int scan_buf_struct_MPC_DEMTREATMENT_DISTOBSMAP_POSTER_STR (char** buf, struct MPC_DEMTREATMENT_DISTOBSMAP_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_MPC_DEMTTT_STR (char** buf, struct MPC_DEMTTT_STR *x, int nDim, int *dims );
int scan_buf_struct_SAVE_DEM_I (char** buf, struct SAVE_DEM_I *x, int nDim, int *dims );
int scan_buf_struct_MERGE_DEMLOG_I (char** buf, struct MERGE_DEMLOG_I *x, int nDim, int *dims );
int scan_buf_struct_BUILD_DISTMAP_I (char** buf, struct BUILD_DISTMAP_I *x, int nDim, int *dims );
int scan_buf_struct_DT_INIT_I (char** buf, struct DT_INIT_I *x, int nDim, int *dims );
int scan_buf_struct_DIST_OBS_MAP (char** buf, struct DIST_OBS_MAP *x, int nDim, int *dims );
int scan_buf_struct_POS_CELL_XY (char** buf, struct POS_CELL_XY *x, int nDim, int *dims );

/* ======================== SCAN DES TYPEDEF ============================= */

int scan_buf_POS_CELL_XY (char** buf, POS_CELL_XY *x, int nDim, int *dims );
int scan_buf_DIST_OBS_MAP (char** buf, DIST_OBS_MAP *x, int nDim, int *dims );
int scan_buf_DT_INIT_I (char** buf, DT_INIT_I *x, int nDim, int *dims );
int scan_buf_BUILD_DISTMAP_I (char** buf, BUILD_DISTMAP_I *x, int nDim, int *dims );
int scan_buf_MERGE_DEMLOG_I (char** buf, MERGE_DEMLOG_I *x, int nDim, int *dims );
int scan_buf_SAVE_DEM_I (char** buf, SAVE_DEM_I *x, int nDim, int *dims );
int scan_buf_MPC_DEMTTT_STR (char** buf, MPC_DEMTTT_STR *x, int nDim, int *dims );
int scan_buf_MPC_DEMTREATMENT_DISTOBSMAP_POSTER_STR (char** buf, MPC_DEMTREATMENT_DISTOBSMAP_POSTER_STR *x, int nDim, int *dims );
#ifdef __cplusplus
}
#endif

#endif /* MPC_DEMTREATMENT_SCAN_H */

